ghcide-2.4.0.0: The core of an IDE

Safe Haskell | Safe-Inferred
Language | Haskell2010

Development.IDE.Types.KnownTargets

Synopsis

- type KnownTargets = HashMap Target (HashSet NormalizedFilePath)
- data Target
  - = TargetModule ModuleName
  - | TargetFile NormalizedFilePath
- toKnownFiles :: KnownTargets -> HashSet NormalizedFilePath

# Documentation

type KnownTargets = HashMap Target (HashSet NormalizedFilePath) #

A mapping of module name to known files

data Target #

Constructors

TargetModule ModuleName |
TargetFile NormalizedFilePath |

#### Instances

Instances details

Generic Target # |
Instance details Defined in Development.IDE.Types.KnownTargets Associated Types type Rep Target :: Type -> Type Methods from :: Target -> Rep Target x to :: Rep Target x -> Target
Show Target # |
Instance details Defined in Development.IDE.Types.KnownTargets Methods showsPrec :: Int -> Target -> ShowS # show :: Target -> String # showList :: [Target] -> ShowS #
NFData Target # |
Instance details Defined in Development.IDE.Types.KnownTargets Methods rnf :: Target -> () #
Eq Target # |
Instance details Defined in Development.IDE.Types.KnownTargets Methods (==) :: Target -> Target -> Bool # (/=) :: Target -> Target -> Bool #
Hashable Target # |
Instance details Defined in Development.IDE.Types.KnownTargets Methods hashWithSalt :: Int -> Target -> Int # hash :: Target -> Int #
type Rep Target # |
Instance details Defined in Development.IDE.Types.KnownTargets type Rep Target = D1 ('MetaData "Target" "Development.IDE.Types.KnownTargets" "ghcide-2.4.0.0-2GLANXY6yWhIRmLZNYhiFQ" 'False) (C1 ('MetaCons "TargetModule" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ModuleName)) :+: C1 ('MetaCons "TargetFile" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 NormalizedFilePath)))

toKnownFiles :: KnownTargets -> HashSet NormalizedFilePath #